<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XNameAttribute StructType
 * @subpackage Structs
 */
class XNameAttribute extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $name;
    /**
     * Constructor method for XNameAttribute
     * @uses XNameAttribute::setName()
     * @param string $name
     */
    public function __construct($name = null)
    {
        $this
            ->setName($name);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XNameAttribute
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
}
